scala.tools.partest

# IcodeTest

#### abstract class IcodeTest extends DirectTest

A trait for testing icode. All you need is this in a partest source file:

    object Test extends IcodeTest

And then the generated output will be the icode for everything in that file. See source for possible customizations.

Linear Supertypes
DirectTest, App, DelayedInit, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IcodeTest
2. DirectTest
3. App
4. DelayedInit
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new IcodeTest()

### Type Members

1. #### class TestUnderJavaAtLeast [A] extends AnyRef

   Definition Classes
     DirectTest

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from IcodeTest to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (IcodeTest, B)

   Implicit information
     This member is added by an implicit conversion from IcodeTest to ArrowAssoc[IcodeTest] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def args: Array[String]

   Attributes
     protected
   Definition Classes
     App

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def code: String

    Definition Classes
      IcodeTest → DirectTest

12. #### def collectIcode(args: String*): List[String]

13. #### def compilationUnits(global: Global)(sourceCodes: String*): List[nsc.Global.CompilationUnit]

    Definition Classes
      DirectTest

14. #### def compile(args: String*): Boolean

    Definition Classes
      DirectTest

15. #### def compileString(global: Global)(sourceCode: String): Boolean

    Definition Classes
      DirectTest

16. #### def debugSettings: String

    Attributes
      protected
    Definition Classes
      DirectTest

17. #### def delayedInit(body: ⇒ Unit): Unit

    Definition Classes
      App → DelayedInit

18. #### def ensuring(cond: (IcodeTest) ⇒ Boolean, msg: ⇒ Any): IcodeTest

    Implicit information
      This member is added by an implicit conversion from IcodeTest to Ensuring[IcodeTest] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (IcodeTest) ⇒ Boolean): IcodeTest

    Implicit information
      This member is added by an implicit conversion from IcodeTest to Ensuring[IcodeTest] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): IcodeTest

    Implicit information
      This member is added by an implicit conversion from IcodeTest to Ensuring[IcodeTest] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): IcodeTest

    Implicit information
      This member is added by an implicit conversion from IcodeTest to Ensuring[IcodeTest] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### val executionStart: Long

    Definition Classes
      App

25. #### def extraSettings: String

    Definition Classes
      IcodeTest → DirectTest

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from IcodeTest to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### def isDebug: Boolean

    Debugger interest only below this line *

    Debugger interest only below this line *

    Attributes
      protected
    Definition Classes
      DirectTest

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### def javaCompilationUnits(global: Global)(sourceCodes: String*): List[nsc.Global.CompilationUnit]

    Definition Classes
      DirectTest

33. #### final def log(msg: ⇒ Any): Unit

    Definition Classes
      DirectTest

34. #### def main(args: Array[String]): Unit

    Definition Classes
      App

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### def newCompiler(settings: Settings): Global

    Definition Classes
      DirectTest

37. #### def newCompiler(args: String*): Global

    Definition Classes
      DirectTest

38. #### def newJavaSources(codes: String*): List[BatchSourceFile]

    Definition Classes
      DirectTest

39. #### def newSettings(args: List[String]): Settings

    Definition Classes
      DirectTest

40. #### def newSources(codes: String*): List[BatchSourceFile]

    Definition Classes
      DirectTest

41. #### final def notify(): Unit

    Definition Classes
      AnyRef

42. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

43. #### def printIcodeAfterPhase: String

44. #### def reporter(settings: Settings): Reporter

    Definition Classes
      DirectTest

45. #### def settings: Settings

    Definition Classes
      DirectTest

46. #### def show(): Unit

    Definition Classes
      IcodeTest → DirectTest

47. #### def sourceFilesToCompiledUnits(global: Global)(files: List[SourceFile]): List[nsc.Global.CompilationUnit]

    Definition Classes
      DirectTest

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def testOutput: Directory

    Definition Classes
      DirectTest

50. #### def testPath: File

    Definition Classes
      DirectTest

51. #### def testUnderJavaAtLeast[A](version: String)(yesRun: ⇒ A): TestUnderJavaAtLeast[A]

    Run a test only if the current java version is at least the version specified.

    Run a test only if the current java version is at least the version specified.

    Definition Classes
      DirectTest

52. #### def toString(): String

    Definition Classes
      AnyRef → Any

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### def withRun[T](global: Global)(f: (Run) ⇒ T): T

    Definition Classes
      DirectTest

57. #### def →[B](y: B): (IcodeTest, B)

    Implicit information
      This member is added by an implicit conversion from IcodeTest to ArrowAssoc[IcodeTest] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from IcodeTest to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (icodeTest: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from IcodeTest to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (icodeTest: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: IcodeTest

   Implicit information
     This member is added by an implicit conversion from IcodeTest to ArrowAssoc[IcodeTest] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (icodeTest: ArrowAssoc[IcodeTest]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: IcodeTest

   Implicit information
     This member is added by an implicit conversion from IcodeTest to Ensuring[IcodeTest] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (icodeTest: Ensuring[IcodeTest]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from DirectTest

### Inherited from App

### Inherited from DelayedInit

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from IcodeTest to StringAdd

### Inherited by implicit conversion any2stringfmt from IcodeTest to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from IcodeTest to ArrowAssoc[IcodeTest]

### Inherited by implicit conversion any2Ensuring from IcodeTest to Ensuring[IcodeTest]

### Ungrouped